import micSystemsList from '@/router/micSystemsList.json'

function GetSystemList() {

  let system = [] //子项目列表
  let prodSystemList=micSystemsList.prod // 生产环境的子项目
  let districtName //区局名称
  let env = process.env.NODE_ENV //打包命令
  let url = window.location.origin //当前访问的浏览器地址

  // 1. 当打生产包的时候,
  if ( env.indexOf('-prod')!= -1 ) { 
    // 2. 获取区局名称
    districtName = env.split('-')[0] 
    // 3. 在生产环境的子项目list
    prodSystemList.forEach((item, index) => {
      if (item.districtName == districtName || item.districtName == 'common') {
        prodSystemList[index].entry = url + item.entry
        system.push(item)
      }
    })
    return system
  }else { 
    system = micSystemsList.sit
  }

  return system
}

export default GetSystemList()
